<div class="module">Teilnehmerdaten &auml;ndern</div>
<br/>
<?
  if (((!$password1) || (!$password2)) || ($password1 != $password2))
  {
      if ($password1) {
          echo "Die beiden Passw&ouml;rter stimmen nicht &uuml;berein<br>\n";
      }
?>
  <form name="password" action="<?=$SELF_PHP?>" method="POST">
    <table>
      <tr>
        <td>Passwort</td>
        <td><input type="text" name="password1" /></td>
      </tr>
      <tr>
        <td>Passwort (Wiederh.)</td>
        <td><input type="text" name="password2" /></td>
      </tr>

      <tr>
        <td>&nbsp;</td>
        <td><input type="submit" value="&Auml;ndern"></td>
      </tr>
    </table>
  </form>
  <script language="JavaScript">
    document.forms.password.password1.focus();
  </script>
<?
  } else {
      $loggedIn->password=$password1;
      $loggedIn->updateData();
      $loggedIn->log('changepassword',$loggedIn->userId);
?>
  Ihr Passwort wurde erfolgreich ge&auml;ndert.
<?
  }
?>
